## Copyright (C) 2024 franc
##
## This program is free software: you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation, either version 3 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program.  If not, see <https://www.gnu.org/licenses/>.

## -*- texinfo -*-
## @deftypefn {} {@var{retval} =} Hh1 (@var{input1}, @var{input2})
##
## @seealso{}
## @end deftypefn

## Author: franc <franc@LAPTOP_FRAN>
## Created: 2024-10-24


#retorna la refl H que convierte la primera columna en colinial a e1
function retval = Hh1 (A)
  x = A(:,1);
  signo = 1;
  if x(1)<0
    signo = -1
  endif
  largo = norm(x);
  y = zeros(length(x),1);
  y(1) = signo*largo;
  u = x - y;
  retval = eye(length(x)) - (2/norm(u)^2)*u*u';
endfunction
