## Copyright (C) 2024 franc
##
## This program is free software: you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation, either version 3 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program.  If not, see <https://www.gnu.org/licenses/>.

## -*- texinfo -*-
## @deftypefn {} {@var{retval} =} Hh2 (@var{input1}, @var{input2})
##
## @seealso{}
## @end deftypefn

## Author: franc <franc@LAPTOP_FRAN>
## Created: 2024-10-24

function retval = Hh2 (A)
  m = length(A(:,1));
  n = length(A(1,:));
  H = eye(m);
  for i = 1:n
    B = A(i:m,i:n);
    Hp = Hh1(B);
    Hi = eye(m);
    Hi(i:m,i:m) = Hp;
    A = Hi*A;
    H = Hi*H;
  endfor
  retval = H;
endfunction
